• Documentation
  • API Reference
Information
Reviews
    Retrieve a reviewgetRetrieve all reviewsgetCreate a reviewpostList redline evaluations for a reviewgetRetrieve a single redline evaluationgetUpdate a redline evaluationpatchList flag violations for a reviewgetRetrieve a single flag violationgetUpdate a flag violationpatchDownload review bundle (ZIP)getDownload review audit documentgetDownload processed (redlined) contractgetDownload original uploaded contractget
Imported Files
    List imported filesget
Playbooks
    Retrieve all playbooksgetCreate a playbookpostRetrieve a playbookgetArchive a playbookdeleteUpdate a playbookpatch
Playbook Rules
    List playbook rulesgetCreate a playbook rulepostRetrieve a playbook rulegetDelete a playbook ruledeleteUpdate a playbook rulepatch
Invitations
    List invitationsgetCreate an invitationpostRetrieve an invitationget
Organization
    List organizationsgetRetrieve organizationgetUpdate organizationpatch
MCP
    MCP Serverpost
Schemas
powered by Zuplo
Gerri API
Gerri API

Imported Files

Endpoints for listing imported contract files for the current organization.


List imported files

GET
https://api.gerri.commonpaper.com
/v1/organizations/{organization_id}/imported_files

Lists imported files for the current organization, newest first. Each item includes name, origin, and timestamps.

List imported files › path Parameters

organization_id
​string · uuid · required

Organization id

List imported files › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

List imported files › Responses

Imported files for the organization (may be an empty array)

ImportedFilesListResponse
​ImportedFileResource[] · required
GET/v1/organizations/{organization_id}/imported_files
curl https://api.gerri.commonpaper.com/v1/organizations/:organization_id/imported_files \ --header 'Authorization: Bearer <token>'
Example Responses
{ "data": [ { "id": "7302ca88-b6a4-4eda-80b1-c4baaf845636", "type": "imported_file", "attributes": { "name": "Cloud Services Agreement with Vandelay Industries", "origin": "upload", "created_at": "2026-04-10T17:12:30.000Z", "updated_at": "2026-04-10T17:12:30.000Z" } }, { "id": "da8517df-07a4-495c-9251-c57620d4c6a4", "type": "imported_file", "attributes": { "name": "NDA with Vandelay Industries", "origin": "api", "created_at": "2026-04-09T13:54:00.000Z", "updated_at": "2026-04-09T13:54:00.000Z" } } ] }
json
application/json

ReviewsPlaybooks